from django.conf.urls import url, include, patterns
from django.conf import settings
from django.views.generic import DetailView, ListView
from jmb.news.cms.views import NewsDetailView, NewsMonthArchiveView
from django.views.generic.dates import YearArchiveView, MonthArchiveView, DayArchiveView

print '-r'
urlpatterns = patterns('',
    url(r'^archive/(?P<year>\d+)/(?P<month>\d+)/$', NewsMonthArchiveView.as_view(), name="news_news_list_by_month"),
    url(r'^(?P<slug>[-\w]+)/$', NewsDetailView.as_view(), name="news_news_detail"),
    url(r'^list/$', ListView.as_view(), name="news_news_list"),
    #(r'^year/(?P<year>\d+)/$', YearArchiveView.as_view()),

)
