from django.utils.text import capfirst
from django.core.urlresolvers import reverse
from django.contrib.contenttypes.models import ContentType
from django.utils.translation import ugettext_lazy as _

from admin_tools.dashboard.modules import ModelList

class NewsModelList(ModelList):
    def __init__(self, **kwargs):
        kwargs =  {
            'title': _("News"),
            'models':['jmb.news.models.News','jmb.news.models.Category'],
            #'exclude_list':['procedure.models.ProcedureRow',]
        }
        super(NewsModelList, self).__init__(**kwargs)