# -*- coding: utf-8 -*-
'''
Created on 31/ott/2011

@author: simone cittadini
'''
from django import forms

from jmb.news.models import News


class RicercaNewsForm(forms.Form):
    mese = forms.ChoiceField()
    anno = forms.ChoiceField()
    parola_chiave = forms.CharField(required=False)
    
    def __init__(self, *args, **kwargs):
        super(RicercaNewsForm, self).__init__(*args, **kwargs)
        self.fields['mese'].choices = ((None, ''),)
        self.fields['mese'].choices.extend(News.get_mesi())
#        self.fields['anno'].choices = ((None, ''),)
        self.fields['anno'].choices = (News.get_anni())
